TESTING/EIG/sstect.f(3)

NAME
TESTING/EIG/sstect.f

SYNOPSIS

  Functions/Subroutines
subroutine sstect (n, a, b, shift, num)
SSTECT

Function/Subroutine Documentation

  subroutine sstect (integer n, real, dimension( * ) a, real, dimension( * ) b, real shift, integer num)

SSTECT

Purpose:

    !>
    !>    SSTECT counts the number NUM of eigenvalues of a tridiagonal
    !>    matrix T which are less than or equal to SHIFT. T has
    !>    diagonal entries A(1), ... , A(N), and offdiagonal entries
    !>    B(1), ..., B(N-1).
    !>    See W. Kahan , Report CS41, Computer Science Dept., Stanford
    !>    University, July 21, 1966
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The dimension of the tridiagonal matrix T.
    !>

    A

    !>          A is REAL array, dimension (N)
    !>          The diagonal entries of the tridiagonal matrix T.
    !>

    B

    !>          B is REAL array, dimension (N-1)
    !>          The offdiagonal entries of the tridiagonal matrix T.
    !>

    SHIFT

    !>          SHIFT is REAL
    !>          The shift, used as described under Purpose.
    !>

    NUM

    !>          NUM is INTEGER
    !>          The number of eigenvalues of T less than or equal
    !>          to SHIFT.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 81 of file sstect.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.